System.ServiceModel 4.0.0.0 System.Object

Transports that support process activation using the Windows Process Activation Service (WAS) use WAS site bindings to store information about the network addresses on which the transport is listening. The transport implementation is responsible for reading this information from the ApplicationHost.config file and for constructing a set of base address URIs that can then be passed to the constructor of . The process by which these base addresses are constructed is transport protocol specific. Implementations of a transport that support WAS activation must provide an implementation that derives from to encapsulate this logic. For more information about the use of this class, see the UDP Activation sample, which demonstrates how to create a custom user datagram protocol (UDP) to be activated by WAS.

Provides transport-specific configuration for transport implementations hosted in Windows Process Activation Service (WAS).

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Uri[] ``

  For more information about the use of this class, see the UDP Activation sample, which demonstrates how to create a custom user datagram protocol (UDP) to be activated by WAS.

  When overridden in a derived class, retrieves the base address of the host.

  The that contains the base address of the host.

  The virtual path to the service.